<?php 
require_once(dirname(__FILE__)."/../../../beta/env.php");
require_once(dirname(__FILE__)."/../../../vendor/classe.cs.php");
require_once(dirname(__FILE__)."/../../../vendor/PHPMailer/class.phpmailer.php");

$cs = new cs;

$users = [];

//Seleciona usuários TESTE
$users = (array) $cs->fetchQuery($cs->executeQuery("SELECT * FROM usuarios WHERE id_gerenciador = 1 AND vencimento <= DATE_ADD(CURRENT_TIMESTAMP , INTERVAL 48 HOUR) AND vencimento >= CURRENT_TIMESTAMP AND status = 'normal' AND profile = 'SD'"));

// Se total de usuarios --> count($users) for maior --> > 0 que zero eu entro no IF 
if (count($users) > 0) {
  
  //var_dump($users); exit;
  foreach ($users as $key => $user) {  
    //if ($key == 0) {
        $response  = 'Não enviado';
        $sendEmail = 'Email não enviado';
        $login = $user['login'];
        $senha = $user['senha']; 

        $sendEmail = $cs->sendEmailUser('bronze_2dias', $user['id']);
        //$cs->con->next_result(); 
        
        $user['iptv_url'] = '';
        
        // Mensagem via SMS 
        $user['text'] = "Olá, somos da Space IPTV\n\nSeu Teste venceu a 2 dias =( \n\nVai lá no seu e-mail que tem uma promo pra vc =]";

        // Envio do Sms
        $response = $cs->QueryString($user); 

        var_dump($response, $sendEmail);
    //}
  
    // Usuario checado, email e sms enviados.
    //$cs->executeQuery("UPDATE `usuarios` SET `teste_check` = 1 WHERE `id` = '".$user['id']."' LIMIT 1");
          
  }
}  
// Se houve algum erro depois de todo o codigo executado acima eu exibo
var_dump($cs->errors);
?>